Summary: Oxford BSP Toolset and Profiling system
Name: bsplib-toolset-linux  
Version: 0.7a
Release: 2 
Copyright: distributable 
Group: Development/Libraries
Source: bsplib_toolset_0.72alpha.tar.gz 
Patch: bsplib-toolset-linux-0.7a-Makefile.patch
Packager: Dominic Da Silva <dsd75511@pegasus.cc.ucf.edu>
URL: http://www.bsp-worldwide.org/

%description
This package contains the Oxford BSP Toolset and Profiling system for Linux.
It consists of:

1) A library of BSP (Bulk Synchronous Parallel) communication and 
   synchronisation primitives using either Bulk Synchronous Message 
   Passing (BSMP) or Direct Remote Memory Access (DRMA), callable 
   from FORTRAN 77, C++ and C code. 

2) A performance profiling tool for performance prediction of 
   BSP application code.

3) Manual pages for the BSPlib function calls. 

NOTE:
Update your $PATH environment variable to include "/usr/local/BSP/bin"
Update your $MANPATH environment variable to include "/usr/local/BSP/man"


%prep

%setup -n BSP

%patch -p1

%build
echo Building BSPlib for Linux...
rm -Rf /usr/local/BSP/
cd ..
mv BSP /usr/local/
PATH="$PATH:/usr/local/BSP/bin"
cd /usr/local/BSP
make tools
make install
mv /usr/local/BSP /usr/src/redhat/BUILD/

%install
echo Installing BSPlib for Linux...
echo Update \$PATH to include \"/usr/local/BSP/bin\"
echo Update \$MANPATH to include \"/usr/local/BSP/man\"
cp -Rd /usr/src/redhat/BUILD/BSP /usr/local/


%files
%doc bsplib_0.72alpha.ANNOUNCE bsplib_0.72alpha.README.ps
%dir /usr/local/BSP
%dir /usr/local/BSP/bin
/usr/local/BSP/bin/perlecho
/usr/local/BSP/bin/bspcc
/usr/local/BSP/bin/bspf77
/usr/local/BSP/bin/litToPgm
/usr/local/BSP/bin/litToTex
/usr/local/BSP/bin/bspc++
/usr/local/BSP/bin/bspfront
/usr/local/BSP/bin/bspfpp
/usr/local/BSP/bin/bspcpp
/usr/local/BSP/bin/echodollarthing
/usr/local/BSP/bin/bspprof
/usr/local/BSP/bin/bsparch
/usr/local/BSP/bin/lndir
/usr/local/BSP/bin/mpc++
/usr/local/BSP/bin/runstdtest
%dir /usr/local/BSP/lib
%dir /usr/local/BSP/lib/LINUX
/usr/local/BSP/lib/LINUX/libbspcore_O0.a
/usr/local/BSP/lib/LINUX/libbspcore.a
/usr/local/BSP/lib/LINUX/libbspcore_O1.a
/usr/local/BSP/lib/LINUX/libbspcore_O2.a
/usr/local/BSP/lib/LINUX/libbspcore_G0.a
/usr/local/BSP/lib/LINUX/libbspcore_G1.a
/usr/local/BSP/lib/LINUX/libbspcore_G2.a
/usr/local/BSP/lib/LINUX/libbspcore_g0.a
/usr/local/BSP/lib/LINUX/libbspcore_g1.a
/usr/local/BSP/lib/LINUX/libbspcore_g2.a
/usr/local/BSP/lib/LINUX/libbspcore_P0.a
/usr/local/BSP/lib/LINUX/libbspcore_P1.a
/usr/local/BSP/lib/LINUX/libbspcore_P2.a
/usr/local/BSP/lib/LINUX/libbsplevel1_O0.a
/usr/local/BSP/lib/LINUX/libbsplevel1_O1.a
/usr/local/BSP/lib/LINUX/libbsplevel1_O2.a
/usr/local/BSP/include
/usr/local/BSP/contrib
/usr/local/BSP/man
